summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Winston <amynka@gentoo.org>2016-03-14 17:55:26 +0100
committerAmy Winston <amynka@gentoo.org>2016-03-14 18:02:51 +0100
commit4d3de04619559fd4987c99538674905a21f4b35c (patch)
tree8facea14a3cc5dfcb41657cb1d175496190dcb87 /app-editors/nedit
parentsys-kernel/gentoo-sources: Enable link security restrictions by default. ACPI... (diff)
downloadgentoo-4d3de04619559fd4987c99538674905a21f4b35c.tar.gz
gentoo-4d3de04619559fd4987c99538674905a21f4b35c.tar.bz2
gentoo-4d3de04619559fd4987c99538674905a21f4b35c.zip
app-editors/nedit: missing icon repaired bug #568448
Package-Manager: portage-2.2.26
Diffstat (limited to 'app-editors/nedit')
-rw-r--r--app-editors/nedit/files/nedit.pngbin0 -> 13937 bytes
-rw-r--r--app-editors/nedit/files/nedit.svg69
-rw-r--r--app-editors/nedit/nedit-5.5_p20110116-r3.ebuild77
-rw-r--r--app-editors/nedit/nedit-5.6-r1.ebuild (renamed from app-editors/nedit/nedit-5.6.ebuild)4
4 files changed, 79 insertions, 71 deletions
diff --git a/app-editors/nedit/files/nedit.png b/app-editors/nedit/files/nedit.png
new file mode 100644
index 00000000000..a7bd18a982d
--- /dev/null
+++ b/app-editors/nedit/files/nedit.png
Binary files differ
diff --git a/app-editors/nedit/files/nedit.svg b/app-editors/nedit/files/nedit.svg
deleted file mode 100644
index 65ab41556ad..00000000000
--- a/app-editors/nedit/files/nedit.svg
+++ /dev/null
@@ -1,69 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
- xmlns:dc="http://purl.org/dc/elements/1.1/"
- xmlns:cc="http://creativecommons.org/ns#"
- xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
- xmlns:svg="http://www.w3.org/2000/svg"
- xmlns="http://www.w3.org/2000/svg"
- xmlns:xlink="http://www.w3.org/1999/xlink"
- xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
- xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
- id="svg2"
- version="1.1"
- inkscape:version="0.47 r22583"
- width="82"
- height="82"
- sodipodi:docname="nedit_82x82.png">
- <metadata
- id="metadata8">
- <rdf:RDF>
- <cc:Work
- rdf:about="">
- <dc:format>image/svg+xml</dc:format>
- <dc:type
- rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
- <dc:title></dc:title>
- </cc:Work>
- </rdf:RDF>
- </metadata>
- <defs
- id="defs6">
- <inkscape:perspective
- sodipodi:type="inkscape:persp3d"
- inkscape:vp_x="0 : 0.5 : 1"
- inkscape:vp_y="0 : 1000 : 0"
- inkscape:vp_z="1 : 0.5 : 1"
- inkscape:persp3d-origin="0.5 : 0.33333333 : 1"
- id="perspective10" />
- </defs>
- <sodipodi:namedview
- pagecolor="#ffffff"
- bordercolor="#666666"
- borderopacity="1"
- objecttolerance="10"
- gridtolerance="10"
- guidetolerance="10"
- inkscape:pageopacity="0"
- inkscape:pageshadow="2"
- inkscape:window-width="640"
- inkscape:window-height="483"
- id="namedview4"
- showgrid="false"
- inkscape:zoom="2.8780488"
- inkscape:cx="41"
- inkscape:cy="41"
- inkscape:window-x="0"
- inkscape:window-y="0"
- inkscape:window-maximized="0"
- inkscape:current-layer="svg2" />
- <image
- sodipodi:absref="/home/jstile/nedit_82x82.png"
- xlink:href="nedit_82x82.png"
- y="0"
- x="0"
- id="image12"
- height="82"
- width="82" />
-</svg>
diff --git a/app-editors/nedit/nedit-5.5_p20110116-r3.ebuild b/app-editors/nedit/nedit-5.5_p20110116-r3.ebuild
new file mode 100644
index 00000000000..0acd3788fd2
--- /dev/null
+++ b/app-editors/nedit/nedit-5.5_p20110116-r3.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Multi-purpose text editor for the X Window System"
+HOMEPAGE="http://nedit.org/"
+SRC_URI="mirror://gentoo/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~mips ~ppc ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
+
+RDEPEND=">=x11-libs/motif-2.3:0
+ x11-libs/libXp
+ x11-libs/libXpm
+ x11-libs/libXt
+ x11-libs/libX11"
+DEPEND="${RDEPEND}
+ || ( dev-util/yacc sys-devel/bison )
+ dev-lang/perl"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+ #respecting LDFLAGS, bug #208189
+ epatch \
+ "${FILESDIR}"/nedit-5.5_p20090914-ldflags.patch \
+ "${FILESDIR}"/${P}-40_Pointer_to_Integer.patch
+
+ sed \
+ -e "s:bin/:${EPREFIX}/bin/:g" \
+ -i Makefile source/preferences.c source/help_data.h source/nedit.c Xlt/Makefile || die
+ sed \
+ -e "s:nc:neditc:g" -i doc/nc.pod || die
+ sed -i -e "s:CFLAGS=-O:CFLAGS=${CFLAGS}:" -e "s:check_tif_rule::" \
+ makefiles/Makefile.linux || die
+ sed -i -e "s:CFLAGS=-O:CFLAGS=${CFLAGS}:" \
+ -e "s:MOTIFDIR=/usr/local:MOTIFDIR=${EPREFIX}/usr:" \
+ -e "s:-lX11:-lX11 -lXmu -liconv:" \
+ -e "s:check_tif_rule::" \
+ makefiles/Makefile.macosx || die
+
+ epatch_user
+}
+
+src_configure() { :; }
+
+src_compile() {
+ case "${CHOST}" in
+ *-darwin*)
+ emake CC="$(tc-getCC)" AR="$(tc-getAR)" macosx
+ ;;
+ *-linux*)
+ emake CC="$(tc-getCC)" AR="$(tc-getAR)" linux
+ ;;
+ esac
+ emake VERSION="NEdit ${PV}" -j1 -C doc all
+}
+
+src_install() {
+ dobin source/nedit
+ newbin source/nc neditc
+
+ make_desktop_entry "${PN}"
+ doicon "${FILESDIR}/${PN}.png"
+
+ newman doc/nedit.man nedit.1
+ newman doc/nc.man neditc.1
+
+ dodoc README ReleaseNotes ChangeLog
+ dodoc doc/nedit.doc doc/NEdit.ad doc/faq.txt
+ dohtml doc/nedit.html
+}
diff --git a/app-editors/nedit/nedit-5.6.ebuild b/app-editors/nedit/nedit-5.6-r1.ebuild
index ac944828872..c8b0da39a43 100644
--- a/app-editors/nedit/nedit-5.6.ebuild
+++ b/app-editors/nedit/nedit-5.6-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -64,7 +64,7 @@ src_install() {
newbin source/nc neditc
make_desktop_entry "${PN}"
- doicon "${FILESDIR}/${PN}.svg"
+ doicon "${FILESDIR}/${PN}.png"
newman doc/nedit.man nedit.1
newman doc/nc.man neditc.1